Bug 173118 - [patch] Add EDNS Client Subnet support to BIND dig
Summary: [patch] Add EDNS Client Subnet support to BIND dig
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 8.3-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-26 10:10 UTC by Steven Hartland
Modified: 2019-12-31 02:58 UTC (History)
1 user (show)

See Also:


Attachments
file.txt (9.83 KB, text/plain)
2012-10-26 10:10 UTC, Steven Hartland
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Hartland 2012-10-26 10:10:00 UTC
Add the ability to send and receive DNS messages with edns-client-subnet options to BIND's dig utility.

Fix: Apply the attached patch

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Steven Hartland freebsd_committer 2012-12-13 22:15:56 UTC
Responsible Changed
From-To: freebsd-bugs->smh

I'll take it.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:27 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Leo Vandewoestijne 2019-12-30 14:16:01 UTC
I think this was more a feature request than a bug.
Either was it's solved; it already works by default:

dig +subnet=1.0.0.0/20 @a.ns.facebook.com. facebook.com.
dig +subnet=2.0.0.0/20 @a.ns.facebook.com. facebook.com.

So request can be closed - IMHO.